Bug 15579 - records_batchmod permission doesn't allow access to batch modification
Summary: records_batchmod permission doesn't allow access to batch modification
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Keywords: Academy
Depends on: 11395
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 17:30 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
permissions (228.32 KB, image/png)
2016-01-14 17:30 UTC, Nicole C. Engard
Details
Bug 15579: Fix permission for batch record modification (1.11 KB, patch)
2016-01-21 15:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15579: Fix permission for batch record modification (1.13 KB, patch)
2016-01-21 15:37 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15579: Fix permission for batch record modification (1.20 KB, patch)
2016-01-22 08:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15579: Fix permission for batch record modification (1.30 KB, patch)
2016-01-22 10:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-01-14 17:30:11 UTC
Created attachment 46663 [details]
permissions

I have a staff member with permission to use the batch record modification tool but they can't use it. I have tested on 3.20 and on master.
Comment 1 Katrin Fischer 2016-01-18 00:34:28 UTC
Nicole, can you try and remove the batchmod_restricted permission for a test?
Is the syspref set?

Is the 'no permission' page showing or is it not usable in another way?
Comment 2 Marc Véron 2016-01-21 15:33:57 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-01-21 15:37:54 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-01-22 08:59:59 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2016-01-22 10:08:00 UTC
Created attachment 47172 [details] [review]
Bug 15579: Fix permission for batch record modification

To test:

- For a patron, permissions 'catalogue' and 'records_batchmod' only
- Log in as this patron
- Go to /cgi-bin/koha/tools/batch_record_modification.pl

Without patch: You have no permisson to acces the page.
With patch: Page 'Batch record modification' displays as expected.

(Amended to fix wrong test plan)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Brendan Gallagher 2016-01-23 18:38:25 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 7 Julian Maurice 2016-01-25 11:18:08 UTC
Patch pushed to 3.22.x, will be in 3.22.2
Comment 8 Frédéric Demians 2016-01-25 16:26:42 UTC
This patch has been pushed to 3.20.x, will be in 3.20.8.